Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.reporting
[Java] Class GenerateBuildDashboard

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.reporting.GenerateBuildDashboard

All Implemented Interfaces:
  Reporting

    @Incubating
    public class GenerateBuildDashboard
    extends DefaultTask

Generates build dashboard report.

Constructor Summary
`GenerateBuildDashboard(Instantiator instantiator)`

Method Summary
`void` | `aggregate(Reporting... reportings)` Configures which reports are to be aggregated in the build dashboard report generated by this task.
`Set` | `getInputReports()`
`BuildDashboardReports` | `getReports()` The reports to be generated by this task.
`BuildDashboardReports` | `reports(Closure closure)` Configures the reports to be generated by this task.

Constructor Detail

### GenerateBuildDashboard

    @Inject
    public GenerateBuildDashboard(Instantiator instantiator)

Method Detail

### aggregate

    public void aggregate(Reporting... reportings)

  Configures which reports are to be aggregated in the build dashboard report generated by this task.

       buildDashboard {
         aggregate codenarcMain, checkstyleMain
       }

  Parameters:
    `reportings` - an array of Reporting instances that are to be aggregated

### getInputReports

    @Input
    public Set getInputReports()

### getReports

    public BuildDashboardReports getReports()

  The reports to be generated by this task.
  Returns:
    The reports container

### reports

    public BuildDashboardReports reports(Closure closure)

  Configures the reports to be generated by this task. The contained reports can be configured by name and closures.

       buildDashboard {
         reports {
           html {
             destination "build/dashboard.html"
           }
         }
       }

  Parameters:
    `closure` - The configuration
  Returns:
    The reports container

Gradle API 1.10